libzypp 17.38.15

Dep.h File Reference
`#include <zypp-core/Globals.h>`
`#include <iosfwd>`
`#include <string>`

Go to the source code of this file.

## Classes
struct | zypp::Dep
| Enumeration class of dependency types. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const Dep &obj)
| relates: Dep Stream output
bool | zypp::operator== (const Dep &lhs, const Dep &rhs)
| relates: Dep
bool | zypp::operator!= (const Dep &lhs, const Dep &rhs)
| relates: Dep
bool | zypp::operator< (const Dep &lhs, const Dep &rhs)
| relates: Dep